id: wordpress-fluentform

info:
  name: Fluent Forms – Customizable Contact Forms, Survey, Quiz, & Conversational Form Builder Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/fluentform/
  metadata:
    plugin_namespace: fluentform
    wpscan: https://wpscan.com/plugin/fluentform
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/fluentform/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/fluentform.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 490a00463044022058f623f4914ec511ddd161367ab9b334a578ff399633a46643b5a4e67524ff2402201a980715ad0eb198a1c5f122e8660a02260d2de1183263be35453026f899f804:922c64590222798bb761d5b6d8e72950